Services
Get service by ID
Authorization<token>
User API key (Bearer scp_u_...). Create in Platform > API Keys.
In: header
Path Parameters
id*string
Service ID
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/services/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"meta": {
"api_version": 1,
"server_version": "0.19.6"
},
"success": true,
"data": {
"bindings": [
{
"created_at": "2026-11-03T22:25:05.952454Z",
"first_discovery_id": null,
"id": "b63edd33-174e-4252-8e2e-dbde5cf6aecb",
"ip_address_id": "550e8400-e29b-41d4-a716-446655440005",
"last_discovery_id": null,
"last_seen_at": "2026-11-03T22:25:05.952454Z",
"lineage_id": null,
"port_id": "550e8400-e29b-41d4-a716-446655440006",
"service_id": "550e8400-e29b-41d4-a716-446655440007",
"site_id": "550e8400-e29b-41d4-a716-446655440002",
"type": "Port",
"updated_at": "2026-11-03T22:25:05.952454Z",
"valid_from": "2026-11-03T22:25:05.952454Z",
"valid_to": null
}
],
"created_at": "2026-01-15T10:30:00Z",
"first_discovery_id": null,
"host_id": "550e8400-e29b-41d4-a716-446655440003",
"id": "550e8400-e29b-41d4-a716-446655440007",
"last_discovery_id": null,
"last_seen_at": "2026-01-15T10:30:00Z",
"lineage_id": null,
"name": "nginx",
"position": 0,
"service_definition": "Grafana",
"site_id": "550e8400-e29b-41d4-a716-446655440002",
"source": {
"type": "Manual"
},
"tags": [],
"updated_at": "2026-01-15T10:30:00Z",
"valid_from": "2026-01-15T10:30:00Z",
"valid_to": null,
"virtualization_metadata": null,
"virtualization_service_id": null
},
"error": "string"
}{
"meta": {
"api_version": 1,
"server_version": "0.19.6"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}Product names and logos are trademarks of their respective owners. See credits.
Export services to CSV
Export all services matching the filter criteria to CSV format. Ignores pagination parameters (limit/offset) and exports all matching records.
List services
Returns all services the authenticated user has access to. Supports pagination via `limit` and `offset` query parameters, and ordering via `group_by`, `order_by`, and `order_direction`.